Subject: Re: bug#954: indentation in latex-mode in emacs-23

From: "Chirok Han" <[email-masked]>
Date: Thu, 25 Sep 2008 10:07:05 +0900

Hi Glenn and Martin,

I have no objections to Glenn's argument. And also many thanks to
Martin; I can now figure out which part to modify for
customization.... :)

Chirok

PS. Just one correction. I think Glenn meant
\[
  abc
\]
instead of
\(
  abc
\)

On Thu, Sep 25, 2008 at 1:48 AM, Glenn Morris <[email-masked]> wrote:
> martin rudalics wrote:
>
>>  > It's not something I can convince you about. And I don't think there
>>  > is any correct or incorrect formatting style. It's just from my 10
>>  > years experience. As I get older, it gets harder to accommodate new
>>  > things no matter how small they are....
>>
>> ... sounds convincing.  What about the attached patch?
>
> Sorry to disagree, but "change bad" is not a convincing argument to me.
>
> I prefer the current form because I think that
>
> \begin{math}
>  a = b
> \end{math}
>
> and
>
> \(
>  a = b
> \)
>
> should be formatted the same. A comment in the original bug that
> motivated this change seems more convincing to me:
>
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2007-09/msg00045.html
>
>    The correct solution would require that \(, \), \[, and \] are
>    treated the same as \begin{math}, \end{math}, \begin{displaymath},
>    and \end{displaymath}. (The latter are defined in terms of the
>    former in latex.ltx.)
>
> But I have to admit that: i) I use AUCTeX; and ii) I don't use \( \),
> so take all that with a large grain of salt. :)
>
> So please just check that whatever change is installed does not bring
> back the original tex-validate-region problem:
>
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2007-09/msg00038.html
>